Package:     backup2l
Subject:     fix failure detect running instance
Author:      Gundolf Kiefer <gkiefer@users.noreply.github.com>
Origin:      upstream, https://github.com/gkiefer/backup2l/commit/3941b1a50aa184a4e42fcf80345b248472404108
Bug-Debian:  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=924595
Forwarded:   yes
Last-Update: 2019-03-15

Fix occasional failure to detect a running instance (see Debian bug
#924595, patch provided by <wayne@virtusmart.com>).
---

diff -urN s24/backup2l s25/backup2l
--- s24/backup2l	2019-11-08 22:29:36.570051277 +0100
+++ s25/backup2l	2019-11-09 10:21:54.400325372 +0100
@@ -337,7 +337,7 @@
     fi
     # Locking: Begin
     if [ -e $BACKUP_DIR/$VOLNAME.lock ]; then
-        if [ `ps -a | grep -af $BACKUP_DIR/$VOLNAME.lock | grep -a ${0##*/} | wc -l` -gt 0 ]; then
+        if [ `ps -ax | grep -af $BACKUP_DIR/$VOLNAME.lock | grep -a ${0##*/} | wc -l` -gt 0 ]; then
             echo "ERROR: Backup volume is locked."
             echo
             echo "Another instance is currently running. If you are sure that this is not"
